Listar repasses
curl --request GET \
--url https://api.malga.io/v1/payouts/payment-batches \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/payouts/payment-batches"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/payouts/payment-batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "9b1a3a3e-2f87-4b2f-ae59-1234567890ab",
"createdAt": "2026-04-25T18:00:00.000Z",
"updatedAt": "2026-04-25T18:00:00.000Z",
"amount": 250000,
"feeAmount": 5000,
"totalFeeAmount": 7500,
"balanceAmount": 0,
"creditAmount": 0,
"refundAmount": 0,
"debitAdjustmentAmount": 0,
"creditAdjustmentAmount": 0,
"finalBalance": 242500,
"withdrawalFeeAmount": 0,
"reportUrl": null,
"paymentDate": "2026-04-28",
"payoutDate": "2026-04-28",
"status": "paid",
"feature": "subacquirer",
"paymentMethod": "credit",
"paymentArrangement": "VCC",
"error": null
}
],
"meta": {
"totalItems": 1,
"itemCount": 1,
"itemsPerPage": 10,
"totalPages": 1,
"currentPage": 1
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Payouts
Listar repasses
Listagem paginada dos repasses realizados na subadquirente
GET
/
v1
/
payouts
/
payment-batches
Listar repasses
Query Parameters
Número da página
Quantidade de itens por página (máx. 100)
Ordenação por data de criação
Available options:
asc, desc Filtra por seller
Status separados por vírgula (ex. pending,paid)
Example:
"pending,paid"
Data inicial em RFC 3339 (ex. 2026-04-01T00:00:00Z)
Data final em RFC 3339 (ex. 2026-04-30T23:59:59Z)
Data de pagamento no formato YYYY-MM-DD
Was this page helpful?
⌘I